Next: Evaluation of numerical values Up: Numerical Procedures Previous: Boundary Value Problem Contents

## Post processing

Keyword: `calcflux`

Compute derivatives of solution. Depending on the problem, this function computes the gradient, the flux, strain or stress, magnetic induction, etc...

Example:

    numproc calcflux pp1 -bilinearform=a -solution=u -flux=p -applyd

Flags are:

bilinearform=<name> | The flux is defined by the first integrator of the bilinearform
solution=<name> | The input gridfunction
flux=<name> | The output gridfunction. Must be nodal-valued or element by element.
-applyd | apply coefficientmatrix. Switches between stress and strain, or B-field and H-field